=begin
/****************************************************************************
** $Id: qt/examples/richtext/main.cpp   2.3.0   edited 2001-01-26 $
**
** Copyright (C) 1992-2000 Trolltech AS.  All rights reserved.
**
** This file is part of an example program for Qt.  This example
** program may be used, distributed and modified without limitation.
**
*****************************************************************************/
=end
#include "richtext.h"
#include <qapplication.h>
require "qt2"
include Qt2
require "richtext_lib.rb"

    a = QApplication.new ( [$0]+ARGV )

    richtext = MyRichText.new
    richtext.resize( 450, 350 )
    richtext.setCaption( "Fortune" )
    a.setMainWidget( richtext )
    richtext.show()

    a.exec()
